Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Interface GrailsDataSource

All Superinterfaces:
  GrailsClass, InjectableGrailsClass

    public interface GrailsDataSource

extends InjectableGrailsClass

Represents a data source in Grails.

Author:
  Steven Devijver

Method Summary
`Class` | `getConfigurationClass()`
`String` | `getDbCreate()` Whether to generate the database with HBM 2 DDL, values can be "create", "create-drop" or "update".
`Class` | `getDialect()` The dialect implementation to use.
`String` | `getDriverClassName()` The driver class name for the data source.
`Properties` | `getOtherProperties()` Other properties for this data source.
`String` | `getPassword()` The password for the data source.
`String` | `getUrl()` The URL for the data source.
`String` | `getUsername()` The username for the data source.
`boolean` | `isLoggingSql()` Whether SQL logging is enabled
`boolean` | `isPooled()` True is connection pooling is enabled.

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, newInstance`

Method Detail

### isPooled

    boolean isPooled()

  True is connection pooling is enabled.

  Returns:
    connection pooling enabled

### getDriverClassName

    String getDriverClassName()

  The driver class name for the data source.

  Returns:
    driver class name

### getUrl

    String getUrl()

  The URL for the data source.

  Returns:
    URL

### getUsername

    String getUsername()

  The username for the data source.

  Returns:
    username

### getPassword

    String getPassword()

  The password for the data source.

  Returns:
    password

### getOtherProperties

    Properties getOtherProperties()

  Other properties for this data source.

  Returns:
    other properties

### getDbCreate

    String getDbCreate()

  Whether to generate the database with HBM 2 DDL, values can be "create", "create-drop" or "update".

  Returns:
    The dbCreate method to use

### getConfigurationClass

    Class getConfigurationClass()

  Returns:
    The configuration class to use when setting up the database.

### getDialect

    Class getDialect()

  The dialect implementation to use.

  Returns:
    The dialect class or null if none configured

### isLoggingSql

    boolean isLoggingSql()

  Whether SQL logging is enabled

  Returns:
    True if SQL logging is enabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD